local M = {}

function M.check_requires(items)
  if type(items) == "string" then
    items = {items}
  end

  for _, s in ipairs(items) do
    if not pcall(require, s) then
      print("failed requiring:", s, ". maybe try :PlugInstall?")
      return false
    end
  end

  return true
end

return M
