function string:contains(str)
  return self:find(str, 1, true) ~= nil
end

function string:ends_with(suffix)
  return suffix == "" or self:sub(-(#suffix)) == suffix
end

function string:split(sep)
  sep = sep or ":"
  local fields = {}
  local pattern = string.format("([^%s]+)", sep)
  _ =
    self:gsub(
    pattern,
    function(c)
      fields[#fields + 1] = c
    end
  )
  return fields
end

function string:starts_with(prefix)
  return self:sub(1, #prefix) == prefix
end
